[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: alock + ldbm in 2.3.21

> > Apr 11 15:21:22 labogldir02 slapd[16232]: [ID 658149 local6.debug]
> > ldbm_back_db_open: alock package is unstable; database may be
> > inconsistent!
> > Apr 11 15:21:22 labogldir02 slapd[16232]: [ID 100111 local6.debug]
> > slapd starting
> >
> >
> > Can I get a status on alock for LDBM?
> >
> > According to:
> > http://www.openldap.org/devel/cvsweb.cgi/servers/slapd/alock.c?hideattic=
> > 1&sortbydate=0
> >
> > it looks like ldbm is having some alock rethinks.  Should I wait for
> > ldbm to be re-stabilized in 2.3.x?
> LDBM is going to be removed from OpenLDAP 2.4, and there are many reasons
> not to use LDBM (stability, etc).  I would rethink why you are using LDBM
> in the first place (not that the problem you are reporting doesn't need to
> be addressed).

The reason I'm using LDBM is that I can migrate my servers to 2.3
-very quickly- by sticking with the same backend as I was using in
Basically, my procedure was:
install binaries, run db_upgrade, start slapd. (takes about two minutes)

Is this error because my database directories did not contain the
'alock' file when I started up?  I saw that 'alock' was created when I

I can do some testing on this once my slamd run is finished tomorrow,
but I would appreciate some direction.